Subject: bug#59336: closed (Re: bug#59336: [PATCH 0/6] gnu: Add apparmor.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Dec 2022 21:17:02 +0000

Your bug report

#59336: [PATCH 0/6] gnu: Add apparmor.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59336: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59336
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59336: [PATCH 0/6] gnu: Add apparmor.
From: Ludovic Courtès <[email-masked]>
To: Hilton Chain <[email-masked]>
Cc: [email-masked]
Date: Sun, 04 Dec 2022 22:16:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Hilton Chain <[email-masked]> skribis:

> * gnu/packages/apparmor.scm (pam-apparmor): New variable.

I had to make the following change to get ‘pam-apparmor’ to build.

Applied all of v2 with these changes.  I followed up with a patch to
restrict libapparmor to *-linux systems.

Thanks!

Ludo’.

diff --git a/gnu/packages/apparmor.scm b/gnu/packages/apparmor.scm
index 3136091747..ddbd9eb7a9 100644
@@ -188,9 +191,12 @@ (define-public pam-apparmor
         (substitute-keyword-arguments (package-arguments base)
           ((#:phases phases)
            #~(modify-phases #$phases
+               (delete 'chdir-parser)
+               (delete 'chdir-utils)
+               (delete 'chdir-profiles)
                (replace 'change-directory
                  (lambda _
                    (chdir "changehat/pam_apparmor"))))))))
-      (native-inputs (list pkg-config which))
+      (native-inputs (list pkg-config perl which))
       (inputs (list libapparmor linux-pam))
       (license license:bsd-3))))

Subject: [PATCH 0/6] gnu: Add apparmor.
From: Hilton Chain <[email-masked]>
To: [email-masked]
Date: Fri, 18 Nov 2022 00:27:23 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

This patchset adds the AppArmor project, excluding the Apache and Tomcat parts.

Further tests are surely needed as I'm not an AppArmor user (yet)...

Tests for two packages are disabled, one is apparmor-profiles, which needs an
AppArmor-enforced system, the other is apparmor-utils, which wants Python
libraries to be installed, this later one might be easier to solve (I tried to
set GUIX_PYTHONPATH, but it fails either).

Thanks!

Hilton Chain (6):
  gnu: Add libapparmor.
  gnu: Add apparmor.
  gnu: Add apparmor-parser.
  gnu: Add apparmor-utils.
  gnu: Add apparmor-profiles.
  gnu: Add pam-apparmor.

 gnu/local.mk              |   1 +
 gnu/packages/apparmor.scm | 219 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 220 insertions(+)
 create mode 100644 gnu/packages/apparmor.scm

base-commit: 8e42bfaffa3ecee4c3f0ee6ff257f4fcd90d4677
--
2.38.1